package net.sourceforge.swingx;

import javax.swing.Icon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;

/**
 * スプラッシュウィンドウ
 * @author Yoshinori-Watanabe
 *
 */
public class SxSprashFrame extends JFrame {
	public SxSprashFrame(String title, Icon icon) {
		super(title);
		getContentPane().add(new JLabel(icon));
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
		// 無理やり描く
		paint(getGraphics());
	}
	/** 指定されたミリ秒後に閉じる。制御はすぐ返す。*/
	public void invokeDispose(final long millis) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
            	try {
					Thread.sleep(millis);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
            	dispose();
            }
        });
	}
}
